Groovy 1.7.0

## org.codehaus.groovy.ast
Class ConstructorNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.MethodNode
                  org.codehaus.groovy.ast.ConstructorNode

    class ConstructorNode
    extends MethodNode

Represents a constructor declaration

author:
  James Strachan

version:
  $Revision: 15098 $

Constructor Summary
`ConstructorNode(int modifiers, Statement code)`
`ConstructorNode(int modifiers, Parameter[] parameters, ClassNode[] exceptions, Statement code)`

Method Summary
`boolean` | `firstStatementIsSpecialConstructorCall()`

Methods inherited from class MethodNode

getCode, getExceptions, getFirstStatement, getGenericsTypes, getModifiers, getName, getParameters, getReturnType, getTypeDescriptor, getVariableScope, hasAnnotationDefault, hasDefaultValue, isAbstract, isDynamicReturnType, isPrivate, isProtected, isPublic, isStatic, isStaticConstructor, isVoidMethod, setAnnotationDefault, setCode, setGenericsTypes, setModifiers, setParameters, setReturnType, setVariableScope, toString

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ConstructorNode

    public ConstructorNode(int modifiers, Statement code)

### ConstructorNode

    public ConstructorNode(int modifiers, Parameter[] parameters, ClassNode[] exceptions, Statement code)

Method Detail

### firstStatementIsSpecialConstructorCall

    public boolean firstStatementIsSpecialConstructorCall()

Copyright © 2003-2009 The Codehaus. All rights reserved.